#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityTouchingFishBaseInfoData
{
	//Key
	std::string mKey;
	//ÊýÖµ
	int mValue;
	//×Ö·û´®
	std::string mStringValue;
};

class M_ActivityTouchingFishBaseInfo
{
public:
private:
	static std::auto_ptr<M_ActivityTouchingFishBaseInfo> msSingleton;
public:
	int GetCount();
	const M_ActivityTouchingFishBaseInfoData* GetData(std::string Key);
	boost::unordered_map<std::string, M_ActivityTouchingFishBaseInfoData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityTouchingFishBaseInfo* GetSingleton();
private:
	boost::unordered_map<std::string, M_ActivityTouchingFishBaseInfoData> mMapData;
};
